Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class PositionBase

    java.lang.Object
      com.tonbeller.jpivot.olap.query.PositionBase

All Implemented Interfaces:
  Decorator, Position, Visitable

Direct Known Subclasses:
  MondrianPosition, XMLA_Position

    public class PositionBase

extends java.lang.Object
implements Position

base class for both Mondrian and XMLA Position

Field Summary
`java.util.List` | `cellList`
`protected Member[]` | `members`
`int` | `number`
`PositionBase` | `parent`

Constructor Summary
`PositionBase()`

Method Summary
`void` | `accept(Visitor visitor)`
`Member[]` | `getMembers()` get the members of this position
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### members

    protected Member[] members

### cellList

    public java.util.List cellList

### parent

    public PositionBase parent

### number

    public int number

Constructor Detail

### PositionBase

    public PositionBase()

Method Detail

### getMembers

    public Member[] getMembers()

  Description copied from interface: `Position`
  get the members of this position

  Specified by:
    `getMembers` in interface `Position`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD